/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controle;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import model.Usuario;
import model.UsuarioDAO;

public class SegurancaControle extends HttpServlet {

    
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        request.getSession().removeAttribute("usuario");
        response.sendRedirect("login.jsp");
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String login = request.getParameter("usuario");
        String senha = request.getParameter("senha");
        ArrayList<String> erros = new ArrayList<String>();
        
        if ( login == null || login.trim().isEmpty()) {
            erros.add("Preencha o usuário.");
        }
        
        if ( senha == null || senha.trim().isEmpty()) {
            erros.add("Preencha a senha.");
        }
        
        if ( erros.size() > 0 ) {
            String campos = "";
            for(String erro : erros) {
                campos += "\\n-" + erro;                
            }
            PrintWriter out = response.getWriter();
            out.print("<script>");
            out.print("alert('Preencha o(s) campo(s):" +campos+ "');");
            out.print("history.back();");
            out.print("</script>");
            out.close();
        } else {
            // Começa autenticação no banco de dados
            UsuarioDAO dao = new UsuarioDAO();
            Usuario usuario = dao.recuperarPorLogin(login);

            if ( usuario != null && usuario.getSenha().equals(senha) ) {
                
                HttpSession sessao = request.getSession();
                sessao.setAttribute("usuario", usuario);
                
                response.sendRedirect("/index.jsp");
                
            } else {
                PrintWriter out = response.getWriter();
                out.print("<script>");
                out.print("alert('Usuário/Senha inválido(s)!');");
                out.print("history.back();");
                out.print("</script>");
                out.close();
            }
            
        }
        
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
