package model;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

public class MenuDAO {
     public List<Menu> getLista() {
        List<Menu> lista = new ArrayList<Menu>();
        try {
            String sql = "SELECT * FROM menu u ORDER BY Nome";
            Connection con = Conexao.conectar();
            Statement st = con.createStatement();
            ResultSet rs = st.executeQuery(sql);
            
            while ( rs.next() ) {
                Menu menu = new Menu();
                menu.setId(rs.getInt("Id"));
                menu.setNome(rs.getString("Nome"));
                menu.setPagina(rs.getString("Pagina"));
                menu.setExibir(rs.getBoolean("Exibir"));
                lista.add(menu);
            }
            System.out.println("MenuDAO::getLista");
            rs.close();
            con.close();
        } catch (Exception e) {
            System.out.println("MenuDAO::getLista");
            System.out.println(e.getMessage());
        }
        return lista;
    }
}
