<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Cadastro de Perfil</title>
        
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.6 -->
        <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
        <link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
    </head>
    <body class="container">
        <h1>Cadastro de perfil</h1>
        <%@include file="menu.jsp" %>
        <form action="PerfilControle" method="POST">
            <input type="hidden" name="id" value="${perfil.id}">
            <div class="row">
                <div class="form-group col-sm-12">
                    <label for="nome" class="control-label">Nome</label>
                    <input type="text" class="form-control" id="nome" name="nome" required value="${c.nome}"/>
                </div>
            </div>
                
            <div class="row">
                <div class="form-group col-sm-12">
                    <label class="control-label">Menus</label><br>
                     <jsp:useBean id="dao" class="model.MenuDAO"></jsp:useBean>
                     <c:forEach var="menu" items="${dao.lista}">
                         <label>
                            <input type="checkbox" name="menu" value="${menu.id}">
                            ${menu.nome}
                         </label><br>
                     </c:forEach>
                </div>
            </div>
                
            <div class="row">
                <button class="btn btn-success">Gravar</button>  
                <!--<a href="index.jsp" class="btn btn-warning">Voltar</a>-->
            </div>
        </form>
    </body>
</html>
