<%@page import="model.Usuario" %>
<%@page import="model.Perfil" %>
<%@page import="model.Menu" %>
<%@page import="model.PerfilDAO" %>
<%
    Usuario u = (Usuario)request.getSession().getAttribute("usuario");
    Perfil perfil = null;
    if ( u == null ) {
        request.getSession().setAttribute("mensagem", "Voc no est autenticado");
        response.sendRedirect("login.jsp");
    } else {
        PerfilDAO dao = new PerfilDAO();
        perfil = dao.recuperarPorId( u.getPerfil().getId() );
    }
%>
<div class="pull-right">Bem-vindo, <%= u != null ? u.getNome() : "" %> (<a href="SegurancaControle">sair</a>)</div>
<div class="menu">
    <ul>
        <% 
            if ( perfil != null ) {
                for(Menu menu : perfil.getMenus() ) { 
                    if ( !menu.isExibir() ) continue;
        %>
            <li><a href="<%= menu.getPagina() %>"><%= menu.getNome() %></a></li>
        <% } 
            } %>
    </ul>
</div>
<link rel="stylesheet" type="text/css" href="estilo/menu.css" />