-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: 19-Out-2017 às 00:11
-- Versão do servidor: 10.1.13-MariaDB
-- PHP Version: 7.0.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `contatodb`
--

-- --------------------------------------------------------

--
-- Estrutura da tabela `cidade`
--

CREATE TABLE `cidade` (
  `Id` int(11) NOT NULL,
  `Nome` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `cidade`
--

INSERT INTO `cidade` (`Id`, `Nome`) VALUES
(1, 'Ceilândia'),
(2, 'Taguatinga'),
(3, 'Planaltina'),
(4, 'Águas Claras');

-- --------------------------------------------------------

--
-- Estrutura da tabela `contato`
--

CREATE TABLE `contato` (
  `id` int(11) NOT NULL,
  `nome` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `telefone` char(11) DEFAULT NULL,
  `cidadeId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `contato`
--

INSERT INTO `contato` (`id`, `nome`, `email`, `telefone`, `cidadeId`) VALUES
(1, 'José Maranhão', 'jose@gmail.com', '6199998877', 4),
(3, 'João Luís', 'ADd', '1231231''', 2),
(4, 'João', 'asdfasdfasdf', '90132089312', 3),
(5, 'André', 'asdfasdf', '98980980989', 1),
(6, 'Márcia', 'asasdfsadfsdf', '0981239318', 1),
(8, 'Márcio Lucas', 'asdfasdfsadf', '09823890324', 1),
(9, 'José Aldo', 'asfasfasdf', '1213232', 1),
(10, 'Lucas Prattó', 'asdfasdfafsd', '213312132', 1);

-- --------------------------------------------------------

--
-- Estrutura da tabela `Menu`
--

CREATE TABLE `Menu` (
  `Id` int(11) NOT NULL,
  `Nome` varchar(45) DEFAULT NULL,
  `Pagina` text,
  `Exibir` tinyint(4) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `Menu`
--

INSERT INTO `Menu` (`Id`, `Nome`, `Pagina`, `Exibir`) VALUES
(1, 'Lista', 'index.jsp', 1),
(2, 'Novo Contato', 'cadastro.jsp', 1),
(3, 'Alteração', 'ContatoControle?acao=alterar', 0),
(4, 'Excluir', 'ContatoControle?acao=excluir', 0),
(5, 'Visualizar', 'ContatoControle?acao=visualizar', 0);

-- --------------------------------------------------------

--
-- Estrutura da tabela `Perfil`
--

CREATE TABLE `Perfil` (
  `Id` int(11) NOT NULL,
  `Nome` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `Perfil`
--

INSERT INTO `Perfil` (`Id`, `Nome`) VALUES
(1, 'Administrador'),
(2, 'Consulta');

-- --------------------------------------------------------

--
-- Estrutura da tabela `PerfilMenu`
--

CREATE TABLE `PerfilMenu` (
  `PerfilId` int(11) NOT NULL,
  `MenuId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `PerfilMenu`
--

INSERT INTO `PerfilMenu` (`PerfilId`, `MenuId`) VALUES
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(1, 5),
(2, 1);

-- --------------------------------------------------------

--
-- Estrutura da tabela `Usuario`
--

CREATE TABLE `Usuario` (
  `Id` int(11) NOT NULL,
  `Nome` varchar(45) DEFAULT NULL,
  `Login` varchar(45) DEFAULT NULL,
  `Senha` varchar(45) DEFAULT NULL,
  `PerfilId` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `Usuario`
--

INSERT INTO `Usuario` (`Id`, `Nome`, `Login`, `Senha`, `PerfilId`) VALUES
(1, 'Marcelo', 'marcelo', '123', 1),
(2, 'Lucas', 'lucas', '123', 2);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `cidade`
--
ALTER TABLE `cidade`
  ADD PRIMARY KEY (`Id`);

--
-- Indexes for table `contato`
--
ALTER TABLE `contato`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `Menu`
--
ALTER TABLE `Menu`
  ADD PRIMARY KEY (`Id`);

--
-- Indexes for table `Perfil`
--
ALTER TABLE `Perfil`
  ADD PRIMARY KEY (`Id`);

--
-- Indexes for table `PerfilMenu`
--
ALTER TABLE `PerfilMenu`
  ADD PRIMARY KEY (`PerfilId`,`MenuId`),
  ADD KEY `fk_Menu_has_Perfil_Perfil1_idx` (`PerfilId`),
  ADD KEY `fk_Menu_has_Perfil_Menu_idx` (`MenuId`);

--
-- Indexes for table `Usuario`
--
ALTER TABLE `Usuario`
  ADD PRIMARY KEY (`Id`),
  ADD KEY `fk_Usuario_Perfil1_idx` (`PerfilId`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `cidade`
--
ALTER TABLE `cidade`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `contato`
--
ALTER TABLE `contato`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `Menu`
--
ALTER TABLE `Menu`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `Perfil`
--
ALTER TABLE `Perfil`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `Usuario`
--
ALTER TABLE `Usuario`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- Constraints for dumped tables
--

--
-- Limitadores para a tabela `PerfilMenu`
--
ALTER TABLE `PerfilMenu`
  ADD CONSTRAINT `fk_Menu_has_Perfil_Menu` FOREIGN KEY (`MenuId`) REFERENCES `Menu` (`Id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_Menu_has_Perfil_Perfil1` FOREIGN KEY (`PerfilId`) REFERENCES `Perfil` (`Id`) ON UPDATE CASCADE;

--
-- Limitadores para a tabela `Usuario`
--
ALTER TABLE `Usuario`
  ADD CONSTRAINT `fk_Usuario_Perfil1` FOREIGN KEY (`PerfilId`) REFERENCES `Perfil` (`Id`) ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
