package controle;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.Perfil;
import model.Menu;
import model.PerfilDAO;

public class PerfilControle extends HttpServlet {

   
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        
    }

   
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String nome = request.getParameter("nome");
        String perfilId = request.getParameter("id");
        String[] menus = request.getParameterValues("menu");
        
        try( PrintWriter out = response.getWriter() ) {
            
            if ( nome != null && nome.trim().isEmpty()  )
            {
                out.print("<script>alert('Preencha o nome do perfil!');history.back();</script>");
            }
            else
            {
                Perfil perfil = new Perfil();
                
                if ( perfilId != null && !perfilId.isEmpty() ) {
                    perfil.setId( Integer.parseInt( perfilId ) );
                }
                perfil.setNome( nome );
                
                List<Menu> lista = new ArrayList<Menu>();
                for( String m : menus ) {
                    Menu menu = new Menu();
                    menu.setId( Integer.parseInt(m) );
                    
                    lista.add(menu);
                }
                
                perfil.setMenus(lista);
                
                PerfilDAO dao = new PerfilDAO();
                
                String mensagem = "Erro ao gravar perfil!";
                if ( perfil.getId() == 0 ) {
                    if ( dao.inserir( perfil ) )
                    mensagem = "Perfil inserido com sucesso!";
                } else {
                    if ( dao.alterar( perfil ) )
                    mensagem = "Perfil alterado com sucesso!";
                }
                
                out.print("<script>alert('"+mensagem+"!');location.href='listar_perfil.jsp';</script>");
            }
        }
    }

}
