<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Login Agenda</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.6 -->
        <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
        <link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
        <link rel="stylesheet" href="estilo/login.css">
    </head>
    <body>
        <div class="container login">
            <div class="panel panel-primary col-md-4 col-md-offset-4">
                <div class="panel-title">
                    <h3>Login</h3>
                </div>
                <div class="panel-body">
                    
                    <% 
                        String mensagem = (String)request.getSession().getAttribute("mensagem"); 
                        if ( mensagem != null ) {
                            request.getSession().removeAttribute("mensagem");
                    %>
                    <div class="alert alert-info"><%= mensagem %></div>
                    <%
                        }
                    %>
                    
                    <form action="SegurancaControle" method="POST">
                       <div class="form-group">
                           <label for="usuario" class="control-label">Usuário</label>
                           <input type="text" id="usuario" name="usuario" class="form-control" required>
                       </div>

                       <div class="form-group">
                           <label for="senha" class="control-label">Senha</label>
                           <input type="password" id="senha" name="senha" class="form-control" required>
                       </div>
                        
                        <button class="btn btn-primary">Entrar</button>
                   </form>
                </div>
            </div>
        </div>
    </body>
</html>
